@rem 
@rem Copyright 2012 Zemian Deng
@rem 
@rem Licensed under the Apache License, Version 2.0 (the "License");
@rem you may not use this file except in compliance with the License.
@rem You may obtain a copy of the License at
@rem 
@rem    http://www.apache.org/licenses/LICENSE-2.0
@rem 
@rem Unless required by applicable law or agreed to in writing, software
@rem distributed under the License is distributed on an "AS IS" BASIS,
@rem WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
@rem See the License for the specific language governing permissions and
@rem limitations under the License.

@rem A simple wrapper script to start TimeMachine scheduler in Windows DOS prompt.
@rem 
@rem We highly recommend you to use Cygwin shell and use the bin/scheduler.sh instead of this because it offer much more
@rem advance options parsing than this .bat file. 
@rem
@rem Created by: Zemian Deng 04/24/2012

@echo off
set SCHEDULER_HOME=%~dp0..
java -Dscheduler.home="%SCHEDULER_HOME%" -cp "%SCHEDULER_HOME%\config;%SCHEDULER_HOME%\lib\*" timemachine.scheduler.tool.SchedulerServer %*
