
// reset all schedule's state to WAITING
import timemachine.scheduler.*
import timemachine.scheduler.support.*
jobDefs = scheduler.findJobDefs()
jobDefs.each{ jobDef ->
	schedules = jobDef.getSchedules()
	schedules.each{ s ->
		s.onMissedRun()
		println("Invoke $s onMissedRun().")
	}
	scheduler.updateJobDef(jobDef)
}

schedules = scheduler.findSchedules()
Collections.sort(schedules, new ScheduleComparator())
schedules.each{ s ->
  println(s.toString() + ", nextRun: " + s.getNextRun() + ", state: " + s.getState() + ", startTime: " + s.getStartTime())
}